post
https://api.lucid.co/teams//users/add
Adds users to a given team, provided the authenticated user has edit access to that team. Users may be added to additional teams by using admin permissions (see below).
The teams to which users can be added depend on whether the request is made using user or admin permissions.
- User: team must be one that the requesting user has edit access to
- Must request with a user grant/scope and either omit the header
Lucid-Request-Asor contain the valueuser.- Admin: team must belong to the account
- Must request with an admin grant/scope and contain the header
Lucid-Request-Aswith valueadmin.
Valid Authentication Methods
API Key Grants:
TeamsEdit
TeamsAdmin
OAuth 2.0 User Token Scopes:
teams
teams:admin
204No Content. The users were successfully added to the team with their assigned roles. If requesting as admin, users may have been added even though the authenticated user does not have direct access to the specified team.
403Forbidden.
- if not all the specified users are on the authenticated account.
- if the user making the request does not have permission to edit teams.
- if the user making the request does not have access to the specified team.
- if the team is managed via SCIM. Use the SCIM Groups API to modify SCIM-managed teams.